<div class="alert alert-danger" id="msg-formAlasan">
    &{'lelangpaket.alasan_wajib_disi'}
</div>

#{form @lelang.PaketCtr.submit_panitia(paket.pkt_id), id:'form-ppk'}
    <input type="hidden" name="pntId" value="${newPanitia.pnt_id}">
    <input type="hidden" name="old_pnt_id" value="${oldPanitia.pnt_id}">
    <table class="table table-sm">
        <tr>
            <th width="80px" class="bg-warning">&{'lelangpaket.nama_pokja_lama'} </th>
            <td width="100px">
                ${oldPanitia.pnt_nama}
            </td>
        </tr>
        <tr>
            <th width="80px" class="bg-warning">&{'lelangpaket.nama_pokja_baru'} </th>
            <td width="100px">
                ${newPanitia.pnt_nama}
            </td>
        </tr>
        #{if paket?.pkt_status.sedangLelang}
        <tr>
            <th width="80px" class="bg-warning">&{'lelangpaket.alasan'} <span class="warning">*</span></th>
            <td width="100px">
                <textarea name="alasan" class="form-control" placeholder="&{'lelangpaket.placeholder_alasan'}"></textarea>
            </td>
        </tr>
        #{/if}
    </table>
<button type="submit" class="btn btn-success btn-sm simpan"> <i class="fa fa-save"></i> &{'lelangpaket.simpan'}</button>
#{/form}

#{if paket?.pkt_status.sedangLelang}
<script type="text/javascript">
    $(document).ready(function(){
        $("#msg-formAlasan").hide();
    });

    $(".simpan").click(function (e) {
        return validate();
    });

    function validate(){
        var alasanGanti = $("textarea[name=\"alasan\"]").val();

        if (alasanGanti == null || alasanGanti == "") {
        	$("#msg-formAlasan").attr('class', 'alert alert-danger').html('Alasan wajib diisi!')
            $("#msg-formAlasan").show();
            return false;
        }

        $("#msg-formAlasan").hide();
        return true;

    }

</script>
#{/if}
